| Home | Libraries | People | FAQ | More

#### windows::basic_object_handle::operator=

Move-assign a `windows::basic_object_handle` from another.

    basic_object_handle & operator=(
        basic_object_handle && other);

This assignment operator moves an object handle from one object to another.

###### Parameters

other

  The other `windows::basic_object_handle` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_object_handle(io_service&) constructor`.